<%--
  - Author(s)  : chj
  - Date       : 2015-02-26
  - Description: 시행결의 리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_RESOL_CD"), "NAME", "CODE");
	String BID_RESOL_CD = initCombo.getCode();
	String BID_RESOL_NM = initCombo.getCodeName();
%>
<script language="javascript" src="/js/popup.js"></script>
<SCRIPT language="JavaScript">
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		autoResize();
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidResolutionList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		
		
		jQuery("#btnConfirm").click(function(){
			
			if(confirm("확정 하시겠습니까?")){
				jQuery("#fevent").val("CONFIRM_SHEET_LIST");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidResolutionList_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
			}
		});
		
		jQuery("#btnDelete").click(function(){
			jQuery("#fevent").val("DELETE_SHEET_LIST");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidResolutionList_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
		});
		/*
				현장 팝업
		*/
		$("#btn_dept").click(function() {
			PopsearchSite("");
		});
		
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#p_demanded_status").change(function(){$("#btnSearch").click();});
		$("#P_BID_MASTER_NM").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#btnSearch").click();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'선택',					Type:"CheckBox",		SaveName:"CHECK", 					Width:50, 		Align:"Center"},
		    			{Header:'Status',				Type:"Status", 			SaveName:"STATUS", 					Width:0, 		Align:"Center",		Hidden:"True" },
		    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",						Width:0, 		Align:"Center",		Hidden:"True", Edit:"False"},
		    			{Header:'입찰번호',				Type:"Text", 			SaveName:"BID_NO", 					Width:120,		Align:"Center", 	Edit:"False"},
		    			{Header:'차수',					Type:"Text", 			SaveName:"BID_DEG",					Width:30,		Align:"Center", 	Edit:"False"},
		    			{Header:'현장',					Type:"Text", 			SaveName:"DEPT_NM", 				Width:170, 		Align:"Left", 		Edit:"False"},
		    			{Header:'☞입찰공고명',				Type:"Text", 			SaveName:"BID_MASTER_NM", 			Width:150, 		Align:"Left",		Cursor:"pointer", Edit:"False"},
		    			{Header:'업체id',					Type:"Text", 			SaveName:"VENDOR_CD",				Width:30,		Align:"Center", 	Edit:"False",		Hidden:"True"},
		    			{Header:'업체명',					Type:"Text", 			SaveName:"VENDOR_NM",				Width:100,		Align:"Left", 	Edit:"False"},
		    			{Header:'개찰일시',				Type:"Text", 			SaveName:"OPEN_DT", 				Width:80, 		Align:"Center", 	Edit:"False"},
		    			{Header:'TBE',					Type:"Text", 			SaveName:"TBE_FIN_DT", 				Width:80, 		Align:"Center", 	Edit:"False"},
		    			{Header:'개찰자',					Type:"Text", 			SaveName:"OPEN_EMPNM", 				Width:80, 		Align:"Center", 	Edit:"False"},
		    			{Header:'개찰자ID',				Type:"Text", 			SaveName:"OPEN_EMPID", 				Width:80, 		Align:"Center",		Hidden:"True", Edit:"False"},
		    			{Header:'상태',					Type:"Combo", 			SaveName:"STATUS_CD", 				Width:80, 		Align:"Center",		ComboText:"<%=BID_RESOL_NM%>", ComboCode:"<%=BID_RESOL_CD%>", Edit:"False"},
		    			{Header:'발주번호',				Type:"Text", 			SaveName:"DEMANDED_ID", 			Width:80, 		Align:"Center",		Hidden:"True", Edit:"False"},
		];

		init_sheet.HeaderMode = {Sort:1,HeaderCheck:0};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}
	
	function searchSiteClose(result) {
		if( result == null ){
			$("#p_dept_nm").val("");
			$("#p_dept_cd").val("");
		}else{
			$("#p_dept_nm").val(result[1]);
			$("#p_dept_cd").val(result[0]);
		}
		setTimeout(function(){fLayerPopClose('_searchSite');},100);
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BID_MASTER_NM", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = jQuery("#fevent").val();
		if(event == "CONFIRM_SHEET_LIST"){
			if(code>= "0"){
				alert("확정 되었습니다.");
				jQuery("#btnSearch").click();
				
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
			}
		}else if(event == "DELETE_SHEET_LIST"){
			if(code >= "0"){
				alert("삭제 되었습니다.");
				jQuery("#btnSearch").click();
			}else{
				alert("에러가 발생하였습니다.\n"+msg);
			}
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnChange(Row, Col, Value) {
		var sSaveName = sheet1.ColSaveName(Col);
		if(sSaveName == "CHECK"){
			var CheckValue = Value;
			var bidNo = sheet1.GetCellValue(Row, "BID_NO");
			for(var i =1; i <= sheet1.LastRow(); i++){
				if(bidNo == sheet1.GetCellValue(i , "BID_NO")){
					sheet1.SetCellValue(i , "CHECK", CheckValue,0); 
				}
			}
		}
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	 function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 
		 var sSaveName = sheet1.ColSaveName(Col);
		 if (sSaveName == "BID_MASTER_NM") {
			var status = sheet1.GetCellValue(Row,"STATUS_CD");
			$("#DEMANDED_ID").val(sheet1.GetCellValue(Row, "DEMANDED_ID"));
			$("#BID_NO").val(sheet1.GetCellValue(Row, "BID_NO"));
			$("#BID_DEG").val(sheet1.GetCellValue(Row, "BID_DEG"));
			$("#VENDOR_CD").val(sheet1.GetCellValue(Row, "VENDOR_CD"));
			$("#fevent").val("FORM_SELECT");
			$("#form1").attr("action", "/bid/purchase/BidResolution.screen");
			$("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		}
	 }

	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>

<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<TABLE id="t1" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">

<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="DEMANDED_ID" value="">
<INPUT type="hidden" name="BID_NO" value="">
<INPUT type="hidden" name="BID_DEG" value="">
<INPUT type="hidden" name="VENDOR_CD" value="">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">


<div align="left" id="title" >
    <ul><li>구매_시행결의</li></ul>
</div> 

<!-- 검색조건 영역 : 시작 -->
<TR><TD height="1">
	<!-- 검색조건 시작 -->
		<table id="search-table" class="search-form-table" >
		<colgroup>
			<col width="100" />
			<col/>
			<col width="100" />
			<col/>
			<col width="250" />
		</colgroup>
		<tr>
			<th>현장</th>
			<td colspan="3">
		   		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
			</td>
			<td class="button" rowspan="2">
				<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
				<span class="btnSearch center" id="btnConfirm"><a href="javascript:void(0);">확정</a></span>
				<span class="btnSearch center" id="btnDelete"><a href="javascript:void(0);">삭제</a></span>
			</td>
		</tr>
		<tr>
			<th>입찰공고명</th>
			<td>
				<INPUT type="text" name="P_BID_MASTER_NM" class="input" value="<%=params.get("P_BID_MASTER_NM") %>" style="width:90%"> 
			</td>
			<th>상태</th>
			<td><%=CommCodeManager.getSelectCodeSearchList("BID_RESOL_CD","P_STATUS","height=18;width:80px;","<option value=''>--전체--</option>",params.get("P_STATUS"),"","DETAILCD") %>
 				<!-- <SELECT class='input_select' id='p_demanded_status' name='p_demanded_status' style='width:100px' >
					<option value=''>--전체--</option><OPTION value='04'>기술검토대상</OPTION><OPTION value='05'>기술검토의뢰</OPTION><OPTION value='06'>업체선정대상</OPTION>
				</SELECT> -->  
			</td>
		</tr>
	</table>
</TD></TR>
</TABLE>
	<div id="sheet1_div" style=" padding-top:5px;  height: auto; min-height: 300px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '300px');</script>
	</div>
</FORM>
